Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Jul 2014, 09:09
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Bluetooth in lucid puppy ----> blueman is here
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 6 [80 Posts]   Goto page: 1, 2, 3, 4, 5, 6 Next
Author Message
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Fri 22 Apr 2011, 13:27    Post subject:  Bluetooth in lucid puppy ----> blueman is here  


edit nov 28,2011
https://docs.google.com/document/d/1EBDWQVM2S3PNuVFz2UzP4S3bUXhhM1bBduAesLPuyIM/edit?pli=1
how to connect bluetooth internet DUN
-----------------------------------

edit sept 7.2011
install these 2 files to install blueman on puppy
http://hotfile.com/dl/129175521/d604f21/blueman121.528.pet.html
blueman 121, for 528 is here (need python 26 below)
python 26 which i use (ALL use this)
http://hotfile.com/dl/117232563/c197fe0/python26.pet.html

----------------------------------------------------------------------------------
Source (for creating from source, developer only)
http://hotfile.com/dl/117226824/3a0c332/blueman-puppy-source.tar.gz.html
howto---> extract into root, then run 1st script, run 2nd blueman, also check http://www.murga-linux.com/puppy/viewtopic.php?t=69556
-----------------------------------------------------------------------------------



------------------------------------------------------------------------------


to run blueman, if bluez is not running...

#!/bin/sh
dbus-uuidgen --ensure &
dbus-daemon --system
modprobe bluetooth
modprobe l2cap
modprobe rfcomm
modprobe btusb
/usr/local/sbin/hciconfig hci0 up
/usr/local/sbin/hciconfig hci0 class 0x3e0100
mknod -m 666 /dev/rfcomm0 c 216 0
bluetoothd
mkdir /root/a
hcitool scan
blueman-applet

to browse phone:

1. install blueman with the lucid-fuse-obexfs (the new ones)
2. after run bllueman-applet, right-click on applet ---> select local service
3. select transfer, click on advanced
4. set advanced ----> obexfs -b %d /root/a
5. create /root/a
6. click browse
7. open rox /root/a

--------------------------------------

after reading both

http://www.murga-linux.com/puppy/viewtopic.php?t=52973

and

http://murga-linux.com/puppy/viewtopic.php?t=60429&sid=7d5206f55184f817ec0bc352944caeb6

i'm hoping that i can make bluetooth easier...

btw i was testing pybluez and blueman...
blueman need python dbus as the installer always complained that there was no python dbus... anyone know what is the needed version of python dbus for python 2.5.2 ?

ps: pybluez work
test.png
Description 
png

 Download 
Filename  test.png 
Filesize  217.63 KB 
Downloaded  676 Time(s) 

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199

Last edited by Master_wrong on Fri 28 Dec 2012, 21:26; edited 31 times in total
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Sat 23 Apr 2011, 07:11    Post subject: Re: Bluetooth in lucid puppy
Subject description: python-dbus
 

Master_wrong wrote:
...the installer always complained that there was no python dbus... anyone know what is the needed version of python dbus for python 2.5.2 ?...

I don't know but I might try one from here

Hope this helps
or you will get a better answer from a more competent person
spot
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sat 23 Apr 2011, 12:34    Post subject:  

Very Happy

I did it, i mean...

i managed to apply jemimah gnome-applet into lucid... see pic.
libxbc from jemimah is not applicable on lucid. i use this instead.

@L18L
still no good, from python i type import dbus it says i need xml thing.
thank anyway.
libxcb-xlib0_1.1-1.2_i386.deb.zip
Description 
zip

 Download 
Filename  libxcb-xlib0_1.1-1.2_i386.deb.zip 
Filesize  14.97 KB 
Downloaded  626 Time(s) 
succed.png
Description 
png

 Download 
Filename  succed.png 
Filesize  199.58 KB 
Downloaded  717 Time(s) 

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
smokey01


Joined: 30 Dec 2006
Posts: 1795
Location: South Australia

PostPosted: Sat 23 Apr 2011, 18:14    Post subject:  

I thought Jemimah had bluetooth working in Puppeee or Fluppy.

Maybe she has a PET laying about somewhere that might work in Lucid Puppy 5.2.5.

Some discussion here:
http://www.murga-linux.com/puppy/viewtopic.php?p=396249#396249

_________________
Puppy Software <-> Distros <-> Puppy Linux Tips
Back to top
View user's profile Send private message Visit poster's website 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Sat 23 Apr 2011, 18:36    Post subject:  

This bluetooth pet probably won't work here.
_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sat 23 Apr 2011, 20:51    Post subject:  

@smokey
libxcb-1.0.pet from jemimah is not installable in lucid, someone already reported that in the thread but he didnt upload the files nedeed.

btw i did use all the pet in the link that you give me, only libxcb-1.0.pet is not installable. which is why i posting this.


@Béèm
yes its nice, but its 431 inside.
thank i will try testing kde bluetooth

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199

Last edited by Master_wrong on Sun 24 Apr 2011, 07:13; edited 1 time in total
Back to top
View user's profile Send private message 
WindUpToy


Joined: 21 Oct 2008
Posts: 89
Location: melbourne.au Slick525DVD

PostPosted: Sat 23 Apr 2011, 23:44    Post subject:  

As I got my Blueman via PPM as a Ubuntu binary, I got all the deps with it, including python-dbus_0.83.0-1ubuntu3_i386.deb, but it doesn't seem to do anything.
I also tried everything from Ubuntu Lucid that had Dbus in the name, but no good either.
I wish I knew what I was doing Smile

_________________
It's not easy being incompetent.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 24 Apr 2011, 11:01    Post subject:  

@winduptoy
any chance that you use python 2.5 ?
i had similiar experience with it,
try to open terminal type :

python

import dbus


then there you see error and if you were lucky you can get the right package...
i myself use dbus-python-0.71... because higher version may need newer python too.

right now i'm trying to use python 26, there is no error, but now i'm still struggling to install blueman itself. i have to build lot of the modul and package from source such as gtk, gobject etc.

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
WindUpToy


Joined: 21 Oct 2008
Posts: 89
Location: melbourne.au Slick525DVD

PostPosted: Sun 24 Apr 2011, 18:16    Post subject:  

hmmm...

# python
Python 2.6.4 (r264:75706, Nov 19 2009, 02:54:25)
[GCC 4.2.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import dbus
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
ImportError: No module named dbus
>>>

That is using python-dbus_0.83. which came with bluemon.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 24 Apr 2011, 21:42    Post subject:  

@winduptoys...

well...
in my case
I compile some package, install some deb from debian, also some deb from ubuntu:

dbus-python-0.71.tar.gz
libffi-dev_3.0.9-1_i386.deb
Pyrex-0.9.9.tar.gz
python-cairo-dev_1.4.12-1.2_all.deb
python-gobject-dev_2.21.4+is.2.21.3-1_all.deb
python-notify_0.1.1-2+b2_i386.deb


but thats wrong because when i compile blueman_1.21.orig.tar.gz
it always says that gobject is not found.

the reason...
some module were inside /usr/local/lib/python2.6/dist-packages
instead /usr/lib/python2.6/dist-packages.

creating link on /usr/lib/python2.6/dist-packages seem help.
btw a module is a folder... so i just link the folder. i dont know if this is wrong.

blueman installed correctly.
now i am trying to run it.


so is there any case that your python is not from ubuntu ?

edit: https://bugs.launchpad.net/ubuntu/+source/python2.6/+bug/362570

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
WindUpToy


Joined: 21 Oct 2008
Posts: 89
Location: melbourne.au Slick525DVD

PostPosted: Mon 25 Apr 2011, 01:02    Post subject:  

re: so is there any case that your python is not from ubuntu ?

I got python at the same time as bluemon and the other deps from Ubuntu, using PuppyPackageManager.

Interesting page about the Python-2.6 bug.
I'll read it again and see if I can pick up anything from it.
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Mon 25 Apr 2011, 05:43    Post subject: successfull install, not run  

so l learn new lesson today...


when install from source :
./configure --prefix=/usr
make
make install

when install python module (cannot run ./configure)
python setup.py install --prefix=/usr


UPDATE !!! 26-apr

i use these package, which makes blueman installed without error:

blueman_1.21.orig.tar.gz
dbus-python-0.83.2.tar.gz
gnome-python-2.20.0.tar.gz
intltool-0.35.0.tar.gz
libffi_3.0.9.orig.tar.gz
libtool_2.4.orig.tar.gz
notify-python_0.1.1.orig.tar.gz
py2cairo-1.8.10.tar.gz
pygobject-2.16.0.tar.gz
pygtk-2.13.0.tar.gz
Pyrex-0.9.9.tar.gz

install also jemimah's package

then come error... again

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199

Last edited by Master_wrong on Tue 26 Apr 2011, 07:01; edited 1 time in total
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Tue 26 Apr 2011, 06:55    Post subject: GOOD RESULT  

i get good result today after i learn that
Quote:

the correct order of installation is:

Python and D-Bus first
dbus-glib after D-Bus
dbus-python after all of D-Bus, dbus-glib and Python


so i install jemimah gnome-bluetooth then i managed to install and get this result...
blueman can run but still cannot send files or anything useful yet...
package used

blueman-1.21
dbus-python-0.83.2
intltool-0.35.0
libffi-3.0.9
libtool-2.4
notify-python-0.1.1
pycairo-1.8.10
pygobject-2.16.0
pygtk-2.13.0
Pyrex-0.9.9

file usr/lib/libpcre.la
test7.png
 Description   
 Filesize   60.5 KB
 Viewed   2547 Time(s)

test7.png


_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
WindUpToy


Joined: 21 Oct 2008
Posts: 89
Location: melbourne.au Slick525DVD

PostPosted: Tue 26 Apr 2011, 07:33    Post subject:  

Today I installed it in U-horrible-Buntu and and it ran, but needed Blues to be running. I don't know how to do that.

You may have discovered the secret: the order of installation.
I will try your way tomorrow.

Just as a matter of interest, these are the files I was working with.

Could you please post a link to the files you use?

Thanks.
BluemonDebs.png
 Description   
 Filesize   22.25 KB
 Viewed   7470 Time(s)

BluemonDebs.png

Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Tue 26 Apr 2011, 09:15    Post subject:  

Hi,

surely I'll more than glad if you can test them too. thanks for the list of file, it may useful.
here is the file

http://hotfile.com/dl/115852740/4b4ef30/bluman-puppy.tar.gz.html

all you need todo is
1.make sure your puppy installed with python and compiler(devs).
2. install jemimah bluetooth package
3. extract bluman-puppy.tar.gz file into root EDIT: then install libpcre.la.pet
4. run script, it may takes few minute, but after it stop and you can see some lines with exit blueman written on it then try press enter. there should be no error, i already try 2-3 times here.
(to produce such my screenshot delete this line in the script)
cd gnome-python-2.20.0
./configure --prefix=/usr
make
make install
cd ..


5. run blueman-applet

edit: i run this before i run blueman
dbus-uuidgen --ensure &
dbus-daemon --system
modprobe bluetooth
modprobe l2cap
modprobe rfcomm
modprobe btusb
hciconfig hci0 up
hciconfig hci0 class 0x3e0100
mknod -m 666 /dev/rfcomm0 c 216 0
hcitool scan
bluetoothd


ps: it may be a good idea to test with your .deb files too in case that i cannot send files because the some plugin are not available in my package yet.

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 6 [80 Posts]   Goto page: 1, 2, 3, 4, 5, 6 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0865s ][ Queries: 13 (0.0044s) ][ GZIP on ]